This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 445957 - Change "decode_getfattr: xdr error %d!" to dprintk
Change "decode_getfattr: xdr error %d!" to dprintk
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jeff Layton
yanfu,wang
: OtherQA
: 496960 (view as bug list)
Depends On:
Blocks: 461304 589293
  Show dependency treegraph
 
Reported: 2008-05-10 09:57 EDT by Fabio Olive Leite
Modified: 2011-02-16 10:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 10:33:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Olive Leite 2008-05-10 09:57:21 EDT
Description of problem:

On RHEL-4, latest kernel and nfs-utils package, the logs are filled with the 
error message below while stating a file which has nfsv4 acls set on it and is 
mounted on RHEL-4 client via sec=krb5i.

decode_getfattr: xdr error 13!

We can see that in the RHEL-4 sources (fs/nfs/nfs4xdr.c::decode_getfattr) that 
message comes from an explicit printk, while on RHEL-5 and upstream it is a 
dprintk. It would be interesting to turn that to a dprintk in RHEL-4 as well 
so that we don't scare people and fill up logs unnecessarily.

Version-Release number of selected component (if applicable):

kernel-2.6.9-67.EL

How reproducible:

Always reproduces.

Steps to Reproduce:

Setup a Solaris 10 box as NFS server and a RHEL-4 box as nfs client. Create an 
export on the server containing files with ACLs.

Log on to the RHEL4 client system, run "service rpcgssd restart" and mount the 
share from the server:

# mount -t nfs4 solaris:/export /nfs4 -o sec=krb5i

Run "ls -l /nfs4"

Check /var/log/messages and see the errors.

Actual results:

Error messages flood the logs and console.

Expected results:

Error messages should be printed only when debug is turned on.
Comment 4 RHEL Product and Program Management 2008-09-03 09:13:04 EDT
Updating PM score.
Comment 7 RHEL Product and Program Management 2009-03-12 14:57:27 EDT
Since RHEL 4.8 External Beta has begun, and this bugzilla remains 
unresolved, it has been rejected as it is not proposed as exception or 
blocker.
Comment 10 Jeff Layton 2009-08-12 12:57:16 EDT
*** Bug 496960 has been marked as a duplicate of this bug. ***
Comment 12 RHEL Product and Program Management 2009-08-18 14:30:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Vivek Goyal 2009-08-25 15:22:43 EDT
Committed in 89.11.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 24 errata-xmlrpc 2011-02-16 10:33:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.